## ondir 0.2.3%2Bgit0.55279f03

=== debian/changelog ===
ondir (0.2.3+git0.55279f03-1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:42:40 +0000

ondir (0.2.3+git0.55279f03-1) unstable; urgency=medium

  * Initial release (Closes: #846237)

 -- Christian Seiler <christian@iwakd.de>  Thu, 22 Dec 2016 13:30:22 +0100

## ondir 0.2.3%2Bgit20140220.55279f0

=== debian/watch ===
version=4

opts="mode=git,pretty=0.2.3+git%cd.%h" \
    https://github.com/alecthomas/ondir.git HEAD

# This is the only location with upstream tarballs.
# http://swapoff.org/ondir.html .*/ondir-(\d\S*)\.tar\.gz

# github is actually newer, but the git repostiroy doesn't contain any
# tags at all, so don't use this for now.
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ondir-$1\.tar\.gz/ \
#   https://github.com/alecthomas/ondir/tags .*/v?(\d\S+)\.tar\.gz

## ondir 0.2.3+git20140220.55279f0

=== Makefile ===
# Change these as you see fit
PREFIX=/usr
CONF=/etc/ondirrc

SOURCES=conf.c ondir.c
HEADERS=conf.h ondir.h
OBJS=conf.o ondir.o
TARGET=ondir

VERSION=0.2.3
DESTDIR=

# Add -DUSE_ONENTERLEAVE to CFLAGS to enable support for .onenter/.onleave
# scripts.
# **WARNING** This is not recommended at all.

CC=cc
CFLAGS=-O3 -DVERSION=\"$(VERSION)\" -DGLOBAL_CONF=\"$(CONF)\" -DUSE_ONENTERLEAVE
CFLAGS=-Wall -c -g -DVERSION=\"$(VERSION)\" -DGLOBAL_CONF=\"$(CONF)\"

LD=cc
LDFLAGS=
LDFLAGS=-g

$(TARGET): $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS) -o $@
	@echo
	@echo "OnDir is built."
	@echo
	@echo "Type 'make DESTDIR=<pkg-root> install' to install."
	@echo

clean:
	rm -f $(OBJS) $(TARGET)

install: $(TARGET)
	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 ondir.1 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 ondir $(DESTDIR)$(PREFIX)/bin

package: slackware rpm
	chown athomas:athomas *
	chmod og-rwx *
	chmod a+r ondir-$(VERSION)*
	
slackware: $(TARGET)
	# Make SlackWare package
	rm -rf /tmp/ondir.pkg && \
		make DESTDIR=/tmp/ondir.pkg PREFIX=/usr CONF=/etc/ondirrc install && \
		cd /tmp/ondir.pkg && \
		makepkg -l y -c y ${PWD}/ondir-$(VERSION)-i386-1.tgz && \
		rm -rf /tmp/ondir.pkg

rpm: dist $(TARGET)
	cp ondir-$(VERSION).tar.gz /usr/src/rpm/SOURCES
	rpm -ba ondir.spec
	cp /usr/src/rpm/SRPMS/ondir-$(VERSION)-1.src.rpm ${PWD}
	cp /usr/src/rpm/RPMS/i386/ondir-$(VERSION)-1.i386.rpm ${PWD}

dist: clean
	rm -f ondir-$(VERSION)* && \
		cd .. && \
		mv ondir ondir-$(VERSION) && \
		tar -czv --exclude '.git*' --exclude 'old/*' --exclude '.*.swp' -f ondir-$(VERSION).tar.gz ondir-$(VERSION) && \
		mv ondir-$(VERSION) ondir && \
		mv ondir-$(VERSION).tar.gz ondir && \
		chmod 644 ondir/ondir-$(VERSION).tar.gz

dep:
	@makedepend $(CXXFLAGS) $(SOURCES) 2> /dev/null

## ondir 0.2.3+git0.55279f03

=== debian/control ===
Source: ondir
Section: utils
Priority: optional
Maintainer: Christian Seiler <christian@iwakd.de>
Build-Depends: debhelper (>= 10~), dh-exec
Standards-Version: 3.9.8
Homepage: http://swapoff.org/ondir.html
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ondir.git -b debian/master
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ondir.git

Package: ondir
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automate tasks specific to certain directories in the shell
 ondir is a small program to automate tasks specific to certain
 directories. It works by executing scripts in directories when you
 enter and leave them. It may be used to set environment variables or
 change the umask depending on the current working directory.
 .
 This program is similar to the direnv package. In contrast to direnv,
 which expects the per-directory settings to be stored in the directory
 itself, ondir uses a central configuration file in the user's home
 directory, and can match directories based on patterns.
 .
 ondir supports bash, zsh and fish out of the box.

=== debian/watch ===
version=3

# This is the only location with upstream tarballs.
http://swapoff.org/ondir.html .*/ondir-(\d\S*)\.tar\.gz

# github is actually newer, but the git repostiroy doesn't contain any
# tags at all, so don't use this for now.
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ondir-$1\.tar\.gz/ \
#   https://github.com/alecthomas/ondir/tags .*/v?(\d\S+)\.tar\.gz

## ondir 0.2.3+git20140220.55279f0

=== debian/changelog ===
ondir (0.2.3+git20140220.55279f0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of debian/ team
  * Move packaging to Salsa
  * Point watch file to latest commit on Github (no code change)
  * Drop defaults from debian/gbp.conf
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: Do not parse d/changelog
  * Do not parse d/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk initialize CC.
    Closes: #990032

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2024 17:17:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper (>= 10~), dh-exec
-Standards-Version: 3.9.8
-Homepage: http://swapoff.org/ondir.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ondir.git -b debian/master
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ondir.git
+Build-Depends: debhelper-compat (= 13), dh-exec
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/ondir
+Vcs-Git: https://salsa.debian.org/debian/ondir.git
+Homepage: https://swapoff.org/ondir.html
+Rules-Requires-Root: no
 
 Package: ondir
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DVERSION=\\\"$(DEB_VERSION_UPSTREAM)\\\" -DGLOBAL_CONF=\\\"/etc/onddirrc\\\"

include /usr/share/dpkg/buildtools.mk
CFLAGS_FOR_MAKEFILE=$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS_FOR_MAKEFILE=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC='$(CC)' LD='$(CC)' CFLAGS='$(CFLAGS_FOR_MAKEFILE)' LDFLAGS='$(LDFLAGS_FOR_MAKEFILE)'

override_dh_auto_install:
	dh_auto_install -- CC='$(CC)' LD='$(CC)' CFLAGS='$(CFLAGS_FOR_MAKEFILE)' LDFLAGS='$(LDFLAGS_FOR_MAKEFILE)'

override_dh_fixperms:
	dh_fixperms
	@# Remove the executable flag from files installed there, since
	@# they are supposed to be sourced.
	chmod a-x debian/ondir/usr/share/ondir/integration/*
